SystemOrganization addCategory: #VMP!

Business subclass: #TaskManager
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'VMP'!

!TaskManager methodsFor: 'as yet unclassified' stamp: ''!
createTask
	^ self! !

!TaskManager methodsFor: 'as yet unclassified' stamp: ''!
queryTask
	^ self! !

!TaskManager methodsFor: 'as yet unclassified' stamp: ''!
removeTask
	^ self! !

!TaskManager methodsFor: 'as yet unclassified' stamp: ''!
suggestVolunteerTask
	^ self! !

Object subclass: #Contact2
	instanceVariableNames: 'birthdate name emailAddress gender requestsEmailUpdates'
	classVariableNames: 'Database'
	poolDictionaries: ''
	category: 'VMP'!

!Contact2 class methodsFor: 'initialization' stamp: 'eve 11/5/2012 18:35'!
addContact: aContact
    self contacts add: aContact! !

!Contact2 class methodsFor: 'initialization' stamp: 'eve 11/5/2012 18:35'!
contacts
    "Answers an OrderedCollection of the contact information instances."

    Database isNil ifTrue: [ self createSampleDatabase ].
    ^ Database! !

!Contact2 class methodsFor: 'initialization' stamp: 'eve 11/5/2012 18:35'!
createSampleDatabase
    Database := OrderedCollection new
        add: (self name: 'Evelyn Perez Cervantes' emailAddress: 'epcervantes7@gmail.com');
        add: (self name: 'Nataly Perez Cervantes' emailAddress: 'natalypc2@gmail.com');
        add: (self name: 'Sidney Perez Cervantes' emailAddress: 'sidneypc27@gmail.com');
        yourself! !

!Contact2 class methodsFor: 'initialization' stamp: 'eve 11/5/2012 18:35'!
name: nameString emailAddress: emailString
    ^ self new
          name: nameString;
          emailAddress: emailString;
          yourself! !

!Contact2 class methodsFor: 'initialization' stamp: 'eve 11/5/2012 18:35'!
removeContact: aContact
    self contacts remove: aContact! !

!Contact2 methodsFor: 'as yet unclassified' stamp: 'eve 11/5/2012 18:35'!
beFemale
    gender := #Female! !

!Contact2 methodsFor: 'as yet unclassified' stamp: 'eve 11/5/2012 18:35'!
beMale
    gender := #Male! !

!Contact2 methodsFor: 'as yet unclassified' stamp: 'eve 11/5/2012 18:35'!
birthdate
	    ^ birthdate! !

!Contact2 methodsFor: 'as yet unclassified' stamp: 'eve 11/5/2012 18:35'!
birthdate:  aDate
    birthdate := aDate! !

!Contact2 methodsFor: 'as yet unclassified' stamp: 'eve 11/5/2012 18:35'!
emailAddress
    ^ emailAddress! !

!Contact2 methodsFor: 'as yet unclassified' stamp: 'eve 11/5/2012 18:35'!
emailAddress: aString
    emailAddress := aString! !

!Contact2 methodsFor: 'as yet unclassified' stamp: 'eve 11/5/2012 18:35'!
gender
    ^ gender ifNil: [ gender := #Male ]! !

!Contact2 methodsFor: 'as yet unclassified' stamp: 'eve 11/5/2012 18:35'!
isFemale
    ^ self gender = #Female! !

!Contact2 methodsFor: 'as yet unclassified' stamp: 'eve 11/5/2012 18:35'!
isMale
    ^ self gender = #Male! !

!Contact2 methodsFor: 'as yet unclassified' stamp: 'eve 11/5/2012 18:35'!
name
    ^ name! !

!Contact2 methodsFor: 'as yet unclassified' stamp: 'eve 11/5/2012 18:35'!
name: aString
    name := aString! !

!Contact2 methodsFor: 'as yet unclassified' stamp: 'eve 11/5/2012 18:35'!
requestsEmailUpdates
    ^ requestsEmailUpdates ifNil: [ requestsEmailUpdates := false ]! !

!Contact2 methodsFor: 'as yet unclassified' stamp: 'eve 11/5/2012 18:35'!
requestsEmailUpdates: aBoolean
    requestsEmailUpdates := aBoolean! !

Object subclass: #NameOfSubclass
	instanceVariableNames: ''
	classVariableNames: 'dataBaseConnection'
	poolDictionaries: ''
	category: 'VMP'!

Object subclass: #VMP
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'VMP'!

Object subclass: #View
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'VMP'!
